﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="DriveAlongXamarin.Pages.RegisterPage">
    <ContentPage.Content>
        <StackLayout>
            <Grid>
                <Grid.RowDefinitions>
                    <RowDefinition Height="2*" />
                    <RowDefinition Height="1*" />
                    <RowDefinition Height="1*" />
                    <RowDefinition Height="1*" />
                    <RowDefinition Height="1*" />
                    <RowDefinition Height="1*" />
                    <RowDefinition Height="1*" />
                </Grid.RowDefinitions>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="1*" />
                    <ColumnDefinition Width="2*" />
                    <ColumnDefinition Width="2*" />
                    <ColumnDefinition Width="1*" />
                </Grid.ColumnDefinitions>
                <Label Grid.Row="1" VerticalOptions="End" Grid.Column="1" Text="Name:"/>
                <Editor Grid.Row="1" Grid.Column="2" Text="{Binding Name}"/>
                <Label Grid.Row="2" VerticalOptions="End" Grid.Column="1" Text="LastName:"/>
                <Editor Grid.Row="2" Grid.Column="2" Text="{Binding LastName}"/>
                <Label Grid.Row="3" VerticalOptions="End" Grid.Column="1" Text="Password:"/>
                <Entry  Grid.Row="3" Grid.Column="2" IsPassword="true" Text="{Binding Password}"/>
                <Label Grid.Row="4" VerticalOptions="End" Grid.Column="1" Text="Email:"/>
                <Editor Grid.Row="4" VerticalOptions="End" Grid.Column="2" Text="{Binding Email}"/>
                <Label Grid.Row="5" Grid.Column="1" Text="Profile type:"/>
                <Picker Title="Profile type" Grid.Row="5" Grid.Column="2" ItemsSource="{Binding DriverTypes}" SelectedItem="{Binding CurrentDriverType}"/>
                <Button Grid.Row="6" Grid.Column="1" Grid.ColumnSpan="2" Text="Register" Command="{Binding RegisterCommand}"/>
            </Grid>
        </StackLayout>
    </ContentPage.Content>
</ContentPage>